## ros-geometry2 0.6.5

=== test_tf2/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(test_tf2)

if(NOT CATKIN_ENABLE_TESTING)
  return()
endif()

find_package(catkin REQUIRED COMPONENTS rosconsole roscpp rostest tf tf2 tf2_bullet tf2_ros tf2_geometry_msgs tf2_kdl tf2_msgs)
find_package(Boost REQUIRED COMPONENTS thread)
find_package(orocos_kdl REQUIRED)


include_directories(${Boost_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS} ${orocos_kdl_INCLUDE_DIRS})

link_directories(${orocos_kdl_LIBRARY_DIRS})

catkin_package()

catkin_add_gtest(buffer_core_test test/buffer_core_test.cpp)
target_link_libraries(buffer_core_test ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${orocos_kdl_LIBRARIES})

catkin_add_gtest(test_tf2_message_filter test/test_message_filter.cpp)
target_link_libraries(test_tf2_message_filter ${Boost_LIBRARIES} ${catkin_LIBRARIES})

catkin_add_gtest(test_convert test/test_convert.cpp)
target_link_libraries(test_convert ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${orocos_kdl_LIBRARIES})

catkin_add_gtest(test_utils test/test_utils.cpp)
target_link_libraries(test_utils ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${orocos_kdl_LIBRARIES})

add_executable(test_buffer_server EXCLUDE_FROM_ALL test/test_buffer_server.cpp)
target_link_libraries(test_buffer_server ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${GTEST_LIBRARIES})

add_executable(test_buffer_client EXCLUDE_FROM_ALL test/test_buffer_client.cpp)
target_link_libraries(test_buffer_client ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${GTEST_LIBRARIES} ${orocos_kdl_LIBRARIES})


add_rostest(test/buffer_client_tester.launch)

add_executable(test_static_publisher EXCLUDE_FROM_ALL test/test_static_publisher.cpp)
target_link_libraries(test_static_publisher ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${GTEST_LIBRARIES})

add_rostest(test/static_publisher.launch)


add_executable(test_tf2_bullet EXCLUDE_FROM_ALL test/test_tf2_bullet.cpp)
target_link_libraries(test_tf2_bullet ${catkin_LIBRARIES} ${GTEST_LIBRARIES})

add_rostest(${CMAKE_CURRENT_SOURCE_DIR}/test/test_tf2_bullet.launch)


if(TARGET tests)
  add_dependencies(tests test_buffer_server test_buffer_client test_static_publisher test_tf2_bullet)
endif()


# used as a test fixture
if(TARGET tf2_ros_static_transform_publisher)
  add_dependencies(tests tf2_ros_static_transform_publisher test_static_publisher)
endif()

=== tf2_ros/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(tf2_ros)

if(NOT ANDROID)
set(TF2_PY tf2_py)
endif()

find_package(catkin REQUIRED COMPONENTS
  actionlib
  actionlib_msgs
  geometry_msgs
  message_filters
  roscpp
  rosgraph
  rospy
  tf2
  tf2_msgs
  ${TF2_PY}
)
find_package(Boost REQUIRED COMPONENTS thread)

catkin_python_setup()

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS
  actionlib
  actionlib_msgs
  geometry_msgs
  message_filters
  roscpp
  rosgraph
  tf2
  tf2_msgs
  ${TF2_PY}
)

include_directories(include ${catkin_INCLUDE_DIRS})

# tf2_ros library
add_library(${PROJECT_NAME}
  src/buffer.cpp
  src/transform_listener.cpp
  src/buffer_client.cpp
  src/buffer_server.cpp
  src/transform_broadcaster.cpp
  src/static_transform_broadcaster.cpp
)
add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

# buffer_server executable
add_executable(${PROJECT_NAME}_buffer_server src/buffer_server_main.cpp)
add_dependencies(${PROJECT_NAME}_buffer_server ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME}_buffer_server
  ${PROJECT_NAME}
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
)
set_target_properties(${PROJECT_NAME}_buffer_server
  PROPERTIES OUTPUT_NAME buffer_server
)

# static_transform_publisher
add_executable(${PROJECT_NAME}_static_transform_publisher
  src/static_transform_broadcaster_program.cpp
)
add_dependencies(${PROJECT_NAME}_static_transform_publisher ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME}_static_transform_publisher
  ${PROJECT_NAME}
  ${catkin_LIBRARIES}
)
set_target_properties(${PROJECT_NAME}_static_transform_publisher
  PROPERTIES OUTPUT_NAME static_transform_publisher
)

# Install rules
install(TARGETS
  ${PROJECT_NAME} ${PROJECT_NAME}_buffer_server
  ${PROJECT_NAME}_static_transform_publisher
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)


# Tests
if(CATKIN_ENABLE_TESTING)

# new requirements for testing
find_package(catkin REQUIRED COMPONENTS
  actionlib
  actionlib_msgs
  geometry_msgs
  message_filters
  roscpp
  rosgraph
  rospy
  rostest
  tf2
  tf2_msgs
  ${TF2_PY}
)



# tf2_ros_test_listener
add_executable(${PROJECT_NAME}_test_listener EXCLUDE_FROM_ALL test/listener_unittest.cpp)
add_dependencies(${PROJECT_NAME}_test_listener ${catkin_EXPORTED_TARGETS})
add_executable(${PROJECT_NAME}_test_time_reset EXCLUDE_FROM_ALL test/time_reset_test.cpp)
add_dependencies(${PROJECT_NAME}_test_time_reset ${catkin_EXPORTED_TARGETS})
add_executable(${PROJECT_NAME}_test_message_filter EXCLUDE_FROM_ALL test/message_filter_test.cpp)
add_dependencies(${PROJECT_NAME}_test_message_filter ${catkin_EXPORTED_TARGETS})

target_link_libraries(${PROJECT_NAME}_test_listener
  ${PROJECT_NAME}
  ${catkin_LIBRARIES}
  ${GTEST_LIBRARIES}
)

target_link_libraries(${PROJECT_NAME}_test_time_reset
  ${PROJECT_NAME}
  ${catkin_LIBRARIES}
  ${GTEST_LIBRARIES}
)

target_link_libraries(${PROJECT_NAME}_test_message_filter
  ${PROJECT_NAME}
  ${catkin_LIBRARIES}
  ${GTEST_LIBRARIES}
)

add_dependencies(tests ${PROJECT_NAME}_test_listener)
add_dependencies(tests ${PROJECT_NAME}_test_time_reset)
add_dependencies(tests ${PROJECT_NAME}_test_message_filter)

add_rostest(test/transform_listener_unittest.launch)
add_rostest(test/transform_listener_time_reset_test.launch)
add_rostest(test/message_filter_test.launch)

endif()

=== debian/changelog ===
ros-geometry2 (0.6.5-3) unstable; urgency=medium

  * Add missing dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 10 Dec 2018 21:59:04 +0100

ros-geometry2 (0.6.5-2) unstable; urgency=medium

  * Team upload.
  * python3-tf2-geometry-msgs imports rospy -> add dependency on python3-rospy
    (closes: #916071)

 -- Johannes 'josch' Schauer <josch@debian.org>  Sun, 09 Dec 2018 22:57:56 +0100

ros-geometry2 (0.6.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.6.5
  * Refresh patches

 -- Johannes 'josch' Schauer <josch@debian.org>  Sat, 08 Dec 2018 13:26:16 +0100

ros-geometry2 (0.6.4-2) unstable; urgency=medium

  [ Johannes Schauer ]
  * Team upload.
  * Improve autopkgtest
  * Enable hardening

  [ Jochen Sprickerhof ]
  * Add missing dependencies of libtf2-dev and libtf2-bullet-dev
  * Upstream ships Python modules and C++ headers in the same package and thus
    catkin-generated pkg-config dependencies will also include Python
    dependencies for the C++ headers. Since we split Python modules and C++
    headers into separate Packages in Debian, add some Debian-specific patches
    that account for this property and remove dependencies accordingly.

 -- Johannes 'josch' Schauer <josch@debian.org>  Sat, 08 Dec 2018 12:36:40 +0100

ros-geometry2 (0.6.4-1) unstable; urgency=medium

  * New upstream version 0.6.4
  * Update copyright
  * Revert "Remove MA hint (according to lintian)"
  * Remove trailing spaces

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 09 Nov 2018 17:59:00 +0100

ros-geometry2 (0.6.3-2) unstable; urgency=medium

  * Add missing dependencies
  * Remove MA hint (according to lintian)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 04 Nov 2018 11:22:39 +0100

ros-geometry2 (0.6.3-1) unstable; urgency=medium

  * Fix typo in changelog
  * Drop wrong MA hints
  * New upstream version 0.6.3

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 03 Nov 2018 13:13:43 +0100

=== debian/control ===
Source: ros-geometry2
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 11), dh-exec,
		catkin (>= 0.7.14-4), libroscpp-core-dev, ros-message-generation, libstd-msgs-dev,
		python-dev, python3-dev, python-setuptools, dh-python,
		libgeometry-msgs-dev, ros-actionlib-msgs,
		libconsole-bridge-dev, python-rospy,
		libactionlib-dev, librosconsole-dev,
		libros-rosgraph-msgs-dev, libxmlrpcpp-dev,
		libmessage-filters-dev, ros-cmake-modules, libeigen3-dev,
		liborocos-kdl-dev, libsensor-msgs-dev, libbullet-dev,
		libboost-dev, libboost-thread-dev, libboost-signals-dev,
		libboost-filesystem-dev, libboost-regex-dev,
		libroscpp-dev, ros-sensor-msgs
Standards-Version: 4.2.1
Section: libs
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/geometry2
Vcs-Browser: https://salsa.debian.org/science-team/ros-geometry2
Vcs-Git: https://salsa.debian.org/science-team/ros-geometry2.git

Package: libtf2-1d
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Robot OS tf2 transform library
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the library itself.

Package: libtf2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libtf2-1d ( = ${binary:Version}), libconsole-bridge-dev, libboost-dev, libgeometry-msgs-dev, libroscpp-core-dev, libtf2-msgs-dev, libtf2-geometry-msgs-dev,
Description: Robot OS tf2 transform library - development files
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the development files of the tf2 library.

Package: python-tf2
Section: python
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}, python-rospy, libtf2-dev, python-geometry-msgs
Description: Robot OS tf2 transform library - Python 2
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the Python 2 binding.

Package: python3-tf2
Section: python
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}, python3-rospy, libtf2-dev, python3-geometry-msgs
Description: Robot OS tf2 transform library - Python 3
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the Python 3 binding.

Package: libtf2-ros0d
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Robot OS binding for tf2 transform library
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the ROS bindings to tf2.

Package: libtf2-ros-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libtf2-dev, libtf2-ros0d (= ${binary:Version}), libactionlib-dev, libactionlib-msgs-dev, libgeometry-msgs-dev, libmessage-filters-dev, libroscpp-dev, libtf2-msgs-dev,
Description: Robot OS binding for tf2 transform library - dev files
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the development files of the ROS binding to tf2.

Package: python-tf2-ros
Section: python
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-genpy, python-std-msgs, python-actionlib, libtf2-ros-dev, python-tf2-msgs, python-tf2
Description: Robot OS binding for tf2 transform library - Python 2
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the ROS Python 2 binding to tf2.

Package: python3-tf2-ros
Section: python
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-genpy, python3-std-msgs, python3-actionlib, libtf2-ros-dev, python3-tf2-msgs, python3-tf2
Description: Robot OS binding for tf2 transform library - Python 3
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the ROS Python 3 binding to tf2.

Package: ros-tf2-msgs
Section: devel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ros-geometry-msgs, ros-actionlib-msgs
Description: Robot OS messages for tf2 transform library - definitions
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the message definitions.

Package: libtf2-msgs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ros-message-generation, libgeometry-msgs-dev, libactionlib-msgs-dev
Description: Robot OS messages for tf2 transform library - dev files
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the development files.

Package: python-tf2-msgs
Section: python
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-genpy, python-geometry-msgs, python-actionlib-msgs
Description: Robot OS messages for tf2 transform library - Python 2
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the Python 2 code.

Package: python3-tf2-msgs
Section: python
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-genpy, python3-geometry-msgs, python3-actionlib-msgs
Description: Robot OS messages for tf2 transform library - Python 3
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the Python 3 code.

Package: cl-tf2-msgs
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, cl-geometry-msgs, cl-actionlib-msgs
Description: Robot OS tf2 transform library messages - LISP
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the LISP binding (messages).

Package: cl-tf2-srvs
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Robot OS tf2 transform library services - LISP
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the LISP binding (services).


Package: libtf2-sensor-msgs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libeigen3-dev, libsensor-msgs-dev, libtf2-ros-dev, libtf2-dev
Description: Small lib for ROS to transform sensor_msgs with tf2 - dev files
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains utils to transform sensor_msgs with tf2.

Package: python-tf2-sensor-msgs
Section: python
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-genpy, python-sensor-msgs, python-roslib
Description: Robot OS sensor messages for tf2 transform library - Python 2
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the Python 2 code to transform sensor_msgs with tf2.

Package: python3-tf2-sensor-msgs
Section: python
Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=cmake --with python2,python3

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCATKIN_ENABLE_TESTING=OFF

=== debian/tests/control ===
Test-Command: ./debian/tests/compilation tf2 tf2/utils.h tf2/buffer_core.h tf2/time_cache.h tf2/convert.h
Restrictions: allow-stderr
Depends: libtf2-dev, catkin, g++
Features: test-name=libtf2-dev

Test-Command: ./debian/tests/compilation tf2_ros tf2_ros/buffer_server.h tf2_ros/transform_listener.h
Restrictions: allow-stderr
Depends: libtf2-ros-dev, catkin, g++
Features: test-name=libtf2-ros-dev

Test-Command: ./debian/tests/compilation tf2_msgs tf2_msgs/FrameGraph.h tf2_msgs/LookupTransformAction.h tf2_msgs/TFMessage.h
Restrictions: allow-stderr
Depends: libtf2-msgs-dev, catkin, g++
Features: test-name=libtf2-msgs-dev

Test-Command: ./debian/tests/compilation tf2_sensor_msgs tf2_sensor_msgs/tf2_sensor_msgs.h
Restrictions: allow-stderr
Depends: libtf2-sensor-msgs-dev, catkin, g++
Features: test-name=libtf2-sensor-msgs-dev

Test-Command: ./debian/tests/compilation tf2_bullet tf2_bullet/tf2_bullet.h
Restrictions: allow-stderr
Depends: libtf2-bullet-dev, catkin, g++
Features: test-name=libtf2-bullet-dev

Test-Command: ./debian/tests/compilation tf2_eigen tf2_eigen/tf2_eigen.h
Restrictions: allow-stderr
Depends: libtf2-eigen-dev, catkin, g++
Features: test-name=libtf2-eigen-dev

Test-Command: ./debian/tests/compilation tf2_geometry_msgs tf2_geometry_msgs/tf2_geometry_msgs.h
Restrictions: allow-stderr
Depends: libtf2-geometry-msgs-dev, catkin, g++
Features: test-name=libtf2-geometry-msgs-dev

Test-Command: ./debian/tests/compilation tf2_kdl tf2_kdl/tf2_kdl.h
Restrictions: allow-stderr
Depends: libtf2-kdl-dev, catkin, g++
Features: test-name=libtf2-kdl-dev

Test-Command: python3 -c 'import tf2'
Restrictions: allow-stderr
Depends: python3-tf2
Features: test-name=python3-tf2

Test-Command: python3 -c 'import tf2_ros'
Restrictions: allow-stderr
Depends: python3-tf2-ros
Features: test-name=python3-tf2-ros

Test-Command: python3 -c 'import tf2_msgs'
Restrictions: allow-stderr
Depends: python3-tf2-msgs
Features: test-name=python3-tf2-msgs

Test-Command: python3 -c 'import tf2_sensor_msgs'
Restrictions: allow-stderr
Depends: python3-tf2-sensor-msgs
Features: test-name=python3-tf2-sensor-msgs

Test-Command: python3 -c 'import tf2_geometry_msgs'
Restrictions: allow-stderr
Depends: python3-tf2-geometry-msgs
Features: test-name=python3-tf2-geometry-msgs

Test-Command: python3 -c 'import tf2_kdl'
Restrictions: allow-stderr
Depends: python3-tf2-kdl
Features: test-name=python3-tf2-kdl

## ros-geometry2 0.6.6

=== test_tf2/CMakeLists.txt ===
--- 
+++ 
@@ -1,21 +1,20 @@
 cmake_minimum_required(VERSION 2.8.3)
 
 project(test_tf2)
+
+find_package(catkin REQUIRED COMPONENTS rosconsole roscpp rostest tf tf2 tf2_bullet tf2_ros tf2_geometry_msgs tf2_kdl tf2_msgs)
+find_package(Boost REQUIRED COMPONENTS thread)
+find_package(orocos_kdl REQUIRED)
+
+catkin_package()
 
 if(NOT CATKIN_ENABLE_TESTING)
   return()
 endif()
 
-find_package(catkin REQUIRED COMPONENTS rosconsole roscpp rostest tf tf2 tf2_bullet tf2_ros tf2_geometry_msgs tf2_kdl tf2_msgs)
-find_package(Boost REQUIRED COMPONENTS thread)
-find_package(orocos_kdl REQUIRED)
-
-
 include_directories(${Boost_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS} ${orocos_kdl_INCLUDE_DIRS})
 
 link_directories(${orocos_kdl_LIBRARY_DIRS})
-
-catkin_package()
 
 catkin_add_gtest(buffer_core_test test/buffer_core_test.cpp)
 target_link_libraries(buffer_core_test ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${orocos_kdl_LIBRARIES})

=== tf2/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(tf2)

find_package(console_bridge REQUIRED)
find_package(catkin REQUIRED COMPONENTS geometry_msgs rostime tf2_msgs)
find_package(Boost REQUIRED COMPONENTS system thread)

catkin_package(
   INCLUDE_DIRS include
   LIBRARIES tf2
   DEPENDS console_bridge
   CATKIN_DEPENDS geometry_msgs tf2_msgs rostime)

include_directories(include ${catkin_INCLUDE_DIRS} ${console_bridge_INCLUDE_DIRS})

# export user definitions

#CPP Libraries
add_library(tf2 src/cache.cpp src/buffer_core.cpp src/static_cache.cpp)
target_link_libraries(tf2 ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${console_bridge_LIBRARIES})
add_dependencies(tf2 ${catkin_EXPORTED_TARGETS})

install(TARGETS tf2
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

# Tests
if(CATKIN_ENABLE_TESTING)

catkin_add_gtest(test_cache_unittest test/cache_unittest.cpp)
target_link_libraries(test_cache_unittest tf2  ${console_bridge_LIBRARIES})
add_dependencies(test_cache_unittest ${catkin_EXPORTED_TARGETS})

catkin_add_gtest(test_static_cache_unittest test/static_cache_test.cpp)
target_link_libraries(test_static_cache_unittest tf2  ${console_bridge_LIBRARIES})
add_dependencies(test_static_cache_unittest ${catkin_EXPORTED_TARGETS})

catkin_add_gtest(test_simple test/simple_tf2_core.cpp)
target_link_libraries(test_simple tf2  ${console_bridge_LIBRARIES})
add_dependencies(test_simple ${catkin_EXPORTED_TARGETS})

add_executable(speed_test EXCLUDE_FROM_ALL test/speed_test.cpp)
target_link_libraries(speed_test tf2  ${console_bridge_LIBRARIES})
add_dependencies(tests speed_test)
add_dependencies(tests ${catkin_EXPORTED_TARGETS})

endif()

=== tf2_bullet/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(tf2_bullet)

find_package(PkgConfig REQUIRED)

set(bullet_FOUND 0)
pkg_check_modules(bullet bullet)
if(NOT bullet_FOUND)
    # windows build bullet3 doesn't come with pkg-config by default and it only comes with CMake config files
    # so pkg_check_modules will fail
    find_package(bullet REQUIRED)
endif()

find_package(catkin REQUIRED COMPONENTS geometry_msgs tf2)

include_directories(include ${bullet_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS})

catkin_package(INCLUDE_DIRS include ${bullet_INCLUDE_DIRS})

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})


if(CATKIN_ENABLE_TESTING)

catkin_add_gtest(test_bullet test/test_tf2_bullet.cpp)
target_link_libraries(test_bullet ${catkin_LIBRARIES} ${GTEST_LIBRARIES})

endif()

=== tf2_eigen/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(tf2_eigen)

find_package(catkin REQUIRED COMPONENTS
  cmake_modules
  geometry_msgs
  tf2
)

# Finding Eigen is somewhat complicated because of our need to support Ubuntu
# all the way back to saucy.  First we look for the Eigen3 cmake module
# provided by the libeigen3-dev on newer Ubuntu.  If that fails, then we
# fall-back to the version provided by cmake_modules, which is a stand-in.
find_package(Eigen3 QUIET)
if(NOT EIGEN3_FOUND)
  find_package(cmake_modules REQUIRED)
  find_package(Eigen REQUIRED)
  set(EIGEN3_INCLUDE_DIRS ${EIGEN_INCLUDE_DIRS})
endif()

# Note that eigen 3.2 (on Ubuntu Wily) only provides EIGEN3_INCLUDE_DIR,
# not EIGEN3_INCLUDE_DIRS, so we have to set the latter from the former.
if(NOT EIGEN3_INCLUDE_DIRS)
  set(EIGEN3_INCLUDE_DIRS ${EIGEN3_INCLUDE_DIR})
endif()

include_directories(include
                    ${EIGEN3_INCLUDE_DIRS}
                    ${catkin_INCLUDE_DIRS})

catkin_package(
  INCLUDE_DIRS include
  DEPENDS EIGEN3)

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})


if(CATKIN_ENABLE_TESTING)

  catkin_add_gtest(tf2_eigen-test test/tf2_eigen-test.cpp)
  target_link_libraries(tf2_eigen-test ${catkin_LIBRARIES} ${GTEST_LIBRARIES})

endif()

=== tf2_geometry_msgs/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(tf2_geometry_msgs)

find_package(orocos_kdl)
find_package(catkin REQUIRED COMPONENTS geometry_msgs tf2_ros tf2)
find_package(Boost COMPONENTS thread REQUIRED)

# Issue #53
find_library(KDL_LIBRARY REQUIRED NAMES orocos-kdl HINTS ${orocos_kdl_LIBRARY_DIRS})

catkin_package(
   LIBRARIES ${KDL_LIBRARY}
   INCLUDE_DIRS include
   DEPENDS orocos_kdl
   CATKIN_DEPENDS  geometry_msgs tf2_ros tf2)


include_directories(include
                    ${catkin_INCLUDE_DIRS}
)

link_directories(${orocos_kdl_LIBRARY_DIRS})



install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

catkin_python_setup()

if(CATKIN_ENABLE_TESTING)

catkin_add_gtest(test_tomsg_frommsg test/test_tomsg_frommsg.cpp)
target_include_directories(test_tomsg_frommsg PUBLIC ${orocos_kdl_INCLUDE_DIRS})
target_link_libraries(test_tomsg_frommsg ${catkin_LIBRARIES} ${GTEST_LIBRARIES} ${orocos_kdl_LIBRARIES})

find_package(catkin REQUIRED COMPONENTS geometry_msgs rostest tf2_ros tf2)

add_executable(test_geometry_msgs EXCLUDE_FROM_ALL test/test_tf2_geometry_msgs.cpp)
target_include_directories(test_geometry_msgs PUBLIC ${orocos_kdl_INCLUDE_DIRS})
target_link_libraries(test_geometry_msgs ${catkin_LIBRARIES} ${GTEST_LIBRARIES} ${orocos_kdl_LIBRARIES})
add_rostest(${CMAKE_CURRENT_SOURCE_DIR}/test/test.launch)
add_rostest(${CMAKE_CURRENT_SOURCE_DIR}/test/test_python.launch)


if(TARGET tests)
  add_dependencies(tests test_geometry_msgs)
endif()


endif()

=== tf2_kdl/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(tf2_kdl)

find_package(orocos_kdl)
find_package(catkin REQUIRED COMPONENTS cmake_modules tf2 tf2_ros tf2_msgs)

# Finding Eigen is somewhat complicated because of our need to support Ubuntu
# all the way back to saucy.  First we look for the Eigen3 cmake module
# provided by the libeigen3-dev on newer Ubuntu.  If that fails, then we
# fall-back to the version provided by cmake_modules, which is a stand-in.
find_package(Eigen3 QUIET)
if(NOT EIGEN3_FOUND)
  find_package(cmake_modules REQUIRED)
  find_package(Eigen REQUIRED)
  set(EIGEN3_INCLUDE_DIRS ${EIGEN_INCLUDE_DIRS})
endif()

# Note that eigen 3.2 (on Ubuntu Wily) only provides EIGEN3_INCLUDE_DIR,
# not EIGEN3_INCLUDE_DIRS, so we have to set the latter from the former.
if(NOT EIGEN3_INCLUDE_DIRS)
  set(EIGEN3_INCLUDE_DIRS ${EIGEN3_INCLUDE_DIR})
endif()


catkin_package(
  INCLUDE_DIRS include ${EIGEN3_INCLUDE_DIRS}
  DEPENDS EIGEN3 orocos_kdl
)


catkin_python_setup()
link_directories(${orocos_kdl_LIBRARY_DIRS})

include_directories(include ${catkin_INCLUDE_DIRS} ${EIGEN3_INCLUDE_DIRS} ${GTEST_INCLUDE_DIRS})


install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(PROGRAMS scripts/test.py
         DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)


if(CATKIN_ENABLE_TESTING)

  find_package(catkin REQUIRED COMPONENTS rostest tf2 tf2_ros tf2_msgs)

  add_executable(test_kdl EXCLUDE_FROM_ALL test/test_tf2_kdl.cpp)
  find_package(Threads)
  target_include_directories(test_kdl PUBLIC ${orocos_kdl_INCLUDE_DIRS})
  target_link_libraries(test_kdl ${catkin_LIBRARIES} ${GTEST_LIBRARIES} ${orocos_kdl_LIBRARIES} ${GTEST_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})

  add_rostest(${CMAKE_CURRENT_SOURCE_DIR}/test/test.launch)
  add_rostest(${CMAKE_CURRENT_SOURCE_DIR}/test/test_python.launch)

  if(TARGET tests)
    add_dependencies(tests test_kdl)
  endif()

endif()

=== tf2_msgs/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(tf2_msgs)

find_package(catkin REQUIRED COMPONENTS message_generation geometry_msgs actionlib_msgs)
find_package(Boost COMPONENTS thread REQUIRED)

add_message_files(DIRECTORY msg FILES TF2Error.msg TFMessage.msg)
add_service_files(DIRECTORY srv FILES FrameGraph.srv)

add_action_files(DIRECTORY action FILES LookupTransform.action)
generate_messages(
  DEPENDENCIES actionlib_msgs std_msgs geometry_msgs
)

catkin_package(
   INCLUDE_DIRS include
   CATKIN_DEPENDS message_generation geometry_msgs actionlib_msgs)

=== tf2_py/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(tf2_py)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS rospy tf2)

## System dependencies are found with CMake's conventions
# find_package(Boost REQUIRED COMPONENTS system)


find_package(PythonLibs 2 REQUIRED)
include_directories(${PYTHON_INCLUDE_PATH} ${catkin_INCLUDE_DIRS})

## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
catkin_python_setup()

#######################################
## Declare ROS messages and services ##
#######################################

## Generate messages in the 'msg' folder
# add_message_files(
#   FILES
#   Message1.msg
#   Message2.msg
# )

## Generate services in the 'srv' folder
# add_service_files(
#   FILES
#   Service1.srv
#   Service2.srv
# )

## Generate added messages and services with any dependencies listed here
# generate_messages(
#   DEPENDENCIES
#   std_msgs  # Or other packages containing msgs
# )

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES tf2_py
  CATKIN_DEPENDS rospy tf2
#  DEPENDS system_lib
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
# include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})

## Declare a cpp library
# add_library(tf2_py
#   src/${PROJECT_NAME}/tf2_py.cpp
# )

## Declare a cpp executable
# add_executable(tf2_py_node src/tf2_py_node.cpp)

## Add cmake target dependencies of the executable/library
## as an example, message headers may need to be generated before nodes
# add_dependencies(tf2_py_node tf2_py_generate_messages_cpp)

## Specify libraries to link a library or executable target against
# target_link_libraries(tf2_py_node
#   ${catkin_LIBRARIES}
# )


# Check for SSE
#!!! rosbuild_check_for_sse()

# Dynamic linking with tf worked OK, except for exception propagation, which failed in the unit test.
# so build with the objects directly instead.

link_libraries(${PYTHON_LIBRARIES})
add_library(tf2_py src/tf2_py.cpp)
target_link_libraries(tf2_py ${catkin_LIBRARIES})
add_dependencies(tf2_py ${catkin_EXPORTED_TARGETS})

if(WIN32)
  # use .pyd extension on Windows
  set_target_properties(tf2_py PROPERTIES OUTPUT_NAME tf2 PREFIX "_" SUFFIX ".pyd")
else()
  set_target_properties(tf2_py PROPERTIES COMPILE_FLAGS "-g -Wno-missing-field-initializers")
  set_target_properties(tf2_py PROPERTIES OUTPUT_NAME tf2 PREFIX "_" SUFFIX ".so")
endif()
set_target_properties(tf2_py PROPERTIES
  ARCHIVE_OUTPUT_DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_PYTHON_DESTINATION}
  LIBRARY_OUTPUT_DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_PYTHON_DESTINATION}
  RUNTIME_OUTPUT_DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_PYTHON_DESTINATION}
)
#!! rosbuild_add_compile_flags(tf2_py ${SSE_FLAGS}) #conditionally adds sse flags if available


#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
# install(PROGRAMS
#   scripts/my_python_script
#   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark executables and/or libraries for installation
# install(TARGETS tf2_py tf2_py_node
#   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
#   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
#   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark cpp header files for installation
# install(DIRECTORY include/${PROJECT_NAME}/
#   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
#   FILES_MATCHING PATTERN "*.h"
#   PATTERN ".svn" EXCLUDE
# )

## Mark other files for installation (e.g. launch and bag files, etc.)
# install(FILES
#   # myfile1
#   # myfile2
#   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
# )

if(WIN32)
  install(FILES ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_PYTHON_DESTINATION}/_tf2.pyd
    DESTINATION ${CATKIN_PACKAGE_PYTHON_DESTINATION}
  )
else()
  install(FILES ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_PYTHON_DESTINATION}/_tf2.so
    DESTINATION ${CATKIN_PACKAGE_PYTHON_DESTINATION}
  )
endif()

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_tf2_py.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

=== tf2_tools/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(tf2_tools)

find_package(catkin REQUIRED COMPONENTS tf2
                                         tf2_msgs
                                         tf2_ros
)

catkin_package(
   CATKIN_DEPENDS tf2
                  tf2_msgs
                  tf2_ros)

install(PROGRAMS scripts/view_frames.py scripts/echo.py
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-geometry2 (0.6.6-1build3) focal; urgency=medium

  * Rebuild against new boost1.67.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Feb 2020 00:08:34 +0100

ros-geometry2 (0.6.6-1build2) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 21:32:55 +0000

ros-geometry2 (0.6.6-1build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 06:06:04 +0000

ros-geometry2 (0.6.6-1) unstable; urgency=medium

  * New upstream version 0.6.6
  * Rebase patches
  * Update dependencies

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 18 Jan 2020 21:51:17 +0100

ros-geometry2 (0.6.5-5) unstable; urgency=medium

  * Fix breaks/replaces

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 25 Oct 2019 23:33:36 +0200

ros-geometry2 (0.6.5-4) unstable; urgency=medium

  * Drop Python 2 packages (Closes: #938380)
  * switch to debhelper-compat and debhelper 12
  * Bump policy version (no changes)
  * simplify d/watch
  * add Salsa CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 25 Oct 2019 16:51:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: ros-geometry2
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
            Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 11), dh-exec,
+Build-Depends: debhelper-compat (= 12), dh-exec,
 		catkin (>= 0.7.14-4), libroscpp-core-dev, ros-message-generation, libstd-msgs-dev,
-		python-dev, python3-dev, python-setuptools, dh-python,
+		python3-dev, python3-setuptools, dh-python,
 		libgeometry-msgs-dev, ros-actionlib-msgs,
-		libconsole-bridge-dev, python-rospy,
+		libconsole-bridge-dev, python3-rospy (>= 1.14.3+ds1-7), python3-rosgraph (>= 1.14.3+ds1-7),
 		libactionlib-dev, librosconsole-dev,
 		libros-rosgraph-msgs-dev, libxmlrpcpp-dev,
 		libmessage-filters-dev, ros-cmake-modules, libeigen3-dev,
 		liborocos-kdl-dev, libsensor-msgs-dev, libbullet-dev,
-		libboost-dev, libboost-thread-dev, libboost-signals-dev,
+		libboost-dev, libboost-thread-dev,
 		libboost-filesystem-dev, libboost-regex-dev,
 		libroscpp-dev, ros-sensor-msgs
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/geometry2
@@ -52,24 +53,12 @@
  .
  This package contains the development files of the tf2 library.
 
-Package: python-tf2
-Section: python
-Architecture: any
-Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}, python-rospy, libtf2-dev, python-geometry-msgs
-Description: Robot OS tf2 transform library - Python 2
- This package is part of Robot OS (ROS). tf2 is the second generation
- of the transform library, which lets the user keep track of multiple
- coordinate frames over time. tf2 maintains the relationship between
- coordinate frames in a tree structure buffered in time, and lets the
- user transform points, vectors, etc between any two coordinate frames
- at any desired point in time.
- .
- This package contains the Python 2 binding.
-
 Package: python3-tf2
 Section: python
 Architecture: any
 Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}, python3-rospy, libtf2-dev, python3-geometry-msgs
+Breaks: python-tf2 (<< 0.6.5-4)
+Replaces: python-tf2 (<< 0.6.5-4)
 Description: Robot OS tf2 transform library - Python 3
  This package is part of Robot OS (ROS). tf2 is the second generation
  of the transform library, which lets the user keep track of multiple
@@ -109,24 +98,10 @@
  .
  This package contains the development files of the ROS binding to tf2.
 
-Package: python-tf2-ros
-Section: python
-Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-genpy, python-std-msgs, python-actionlib, libtf2-ros-dev, python-tf2-msgs, python-tf2
-Description: Robot OS binding for tf2 transform library - Python 2
- This package is part of Robot OS (ROS). tf2 is the second generation
- of the transform library, which lets the user keep track of multiple
- coordinate frames over time. tf2 maintains the relationship between
- coordinate frames in a tree structure buffered in time, and lets the
- user transform points, vectors, etc between any two coordinate frames
- at any desired point in time.
- .
- This package contains the ROS Python 2 binding to tf2.
-
 Package: python3-tf2-ros
 Section: python
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}, python3-genpy, python3-std-msgs, python3-actionlib, libtf2-ros-dev, python3-tf2-msgs, python3-tf2
+Depends: ${python3:Depends}, ${misc:Depends}, python3-tf2, python3-rospy, python3-std-msgs, python3-actionlib, libtf2-ros-dev, python3-tf2-msgs, python3-tf2, python3-rosgraph, python3-geometry-msgs
 Description: Robot OS binding for tf2 transform library - Python 3
  This package is part of Robot OS (ROS). tf2 is the second generation
  of the transform library, which lets the user keep track of multiple
@@ -167,24 +142,10 @@
  .
  This package contains the development files.
 
-Package: python-tf2-msgs
-Section: python
-Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-genpy, python-geometry-msgs, python-actionlib-msgs
-Description: Robot OS messages for tf2 transform library - Python 2
- This package is part of Robot OS (ROS). tf2 is the second generation
- of the transform library, which lets the user keep track of multiple
- coordinate frames over time. tf2 maintains the relationship between
- coordinate frames in a tree structure buffered in time, and lets the
- user transform points, vectors, etc between any two coordinate frames
- at any desired point in time.
- .
- This package contains the Python 2 code.
-
 Package: python3-tf2-msgs
 Section: python
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}, python3-genpy, python3-geometry-msgs, python3-actionlib-msgs
+Depends: ${python3:Depends}, ${misc:Depends}, python3-geometry-msgs, python3-actionlib-msgs
 Description: Robot OS messages for tf2 transform library - Python 3
  This package is part of Robot OS (ROS). tf2 is the second generation
  of the transform library, which lets the user keep track of multiple
@@ -241,20 +202,59 @@
  .
  This package contains utils to transform sensor_msgs with tf2.
 
-Package: python-tf2-sensor-msgs
-Section: python
-Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-genpy, python-sensor-msgs, python-roslib
-Description: Robot OS sensor messages for tf2 transform library - Python 2
- This package is part of Robot OS (ROS). tf2 is the second generation
- of the transform library, which lets the user keep track of multiple
- coordinate frames over time. tf2 maintains the relationship between
- coordinate frames in a tree structure buffered in time, and lets the
- user transform points, vectors, etc between any two coordinate frames
- at any desired point in time.
- .
- This package contains the Python 2 code to transform sensor_msgs with tf2.
-
 Package: python3-tf2-sensor-msgs
 Section: python
 Architecture: all
+Depends: ${python3:Depends}, ${misc:Depends}, python3-sensor-msgs, python3-pykdl, python3-rospy, python3-tf2-ros
+Description: Robot OS sensor messages for tf2 transform library - Python 3
+ This package is part of Robot OS (ROS). tf2 is the second generation
+ of the transform library, which lets the user keep track of multiple
+ coordinate frames over time. tf2 maintains the relationship between
+ coordinate frames in a tree structure buffered in time, and lets the
+ user transform points, vectors, etc between any two coordinate frames
+ at any desired point in time.
+ .
+ This package contains the Python 3 code to transform sensor_msgs with tf2.
+
+Package: libtf2-bullet-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, libgeometry-msgs-dev, libtf2-dev, libbullet-dev,
+Description: Robot OS tf2 transform library for Bullet - dev files
+ This package is part of Robot OS (ROS). tf2 is the second generation
+ of the transform library, which lets the user keep track of multiple
+ coordinate frames over time. tf2 maintains the relationship between
+ coordinate frames in a tree structure buffered in time, and lets the
+ user transform points, vectors, etc between any two coordinate frames
+ at any desired point in time.
+ .
+ This package contains the development files for libtf2 for Bullet.
+
+#tf2_eigen
+Package: libtf2-eigen-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, libeigen3-dev, libgeometry-msgs-dev, libtf2-dev
+Description: Robot OS tf2 transform library for Eigen - dev files
+ This package is part of Robot OS (ROS). tf2 is the second generation
+ of the transform library, which lets the user keep track of multiple
+ coordinate frames over time. tf2 maintains the relationship between
+ coordinate frames in a tree structure buffered in time, and lets the
+ user transform points, vectors, etc between any two coordinate frames
+ at any desired point in time.
+ .
+ This package contains development files to convert between libtf2 and Eigen.
+
+#tf2_geometry_msgs
+Package: libtf2-geometry-msgs-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends: liborocos-kdl-dev, ${misc:Depends}, libgeometry-msgs-dev, libtf2-dev,
+Description: Robot OS geometry messages for tf2 transform library - dev files
+ This package is part of Robot OS (ROS). tf2 is the second generation
+ of the transform library, which lets the user keep track of multiple
+ coordinate frames over time. tf2 maintains the relationship between
+ coordinate frames in a tree structure buffered in time, and lets the

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export ROS_PYTHON_VERSION=3

%:
	dh $@ --buildsystem=cmake --with python3

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCATKIN_ENABLE_TESTING=OFF
